//+------------------------------------------------------------------+
//|                                                AllSellOrders.mq4 |
//|                                Copyright  2006, TrendLaboratory |
//|            http://finance.groups.yahoo.com/group/TrendLaboratory |
//|                                   E-mail: igorad2003@yahoo.co.uk |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, TrendLaboratory"
#property link      "http://finance.groups.yahoo.com/group/TrendLaboratory"
//+------------------------------------------------------------------+
//| script "trading for all money"                                   |
//+------------------------------------------------------------------+
#include <stdlib.mqh>

#property show_inputs

extern int     Order_Type =     1; // 0- Current Price; 1 - SELLSTOP; 2 - SELLLIMIT  
extern double  Lots       =     0.1;
extern double  Price      =     0;
extern double  Distance   =     0; // Distance from current price in pips for pending orders 
extern int     TakeProfit =     15; // TakeProfit in pips
extern int     StopLoss   =     35; // StopLoss in pips 
extern int     Slippage   =     3;     
extern string  Comments   ="SELL EURUSD";
extern int     Magic      =     1;
extern double  PointRatio =    10; 

int start()
  {
   double _Point = Point * PointRatio;
   int ticket;
//----
   if (Order_Type == 0) 
   {int cmd = OP_SELL; double price = Bid;}
   else if (Order_Type == 1) 
   { 
   cmd = OP_SELLSTOP; 
   if( Distance > 0) price = NormalizeDouble(Bid - Distance*_Point,Digits);
   if( Price > 0 ) price=Price;
   } 
   else if (Order_Type == 2) 
   { 
   cmd = OP_SELLLIMIT; 
   if( Distance > 0) price = NormalizeDouble(Bid + Distance*_Point,Digits);
   if( Price > 0 ) price=Price;
   }
   
   if (StopLoss > 0) double sl = NormalizeDouble( price + StopLoss*_Point,Digits); else sl=0;
   if (TakeProfit>0) double tp = NormalizeDouble( price - TakeProfit*_Point,Digits); else tp=0; 
   
   
   while(true)
     {
      ticket=OrderSend(Symbol(),cmd,Lots,price,Slippage,sl,tp,Comments,Magic,0,Red);

      if(ticket<=0)
        {
         int error=GetLastError();
         Print("BUY: Error = ",ErrorDescription(error));
         if(error==134) break;            // not enough money
         if(error==135) RefreshRates();   // prices changed
         break;
        }
      //---- remove break statement below and take trading for all money
      else { OrderPrint(); break; }
      //---- 10 seconds wait
      Sleep(10000);
     }
//----
   return(0);
  }
//+------------------------------------------------------------------+